org.modeshape.jcr.cache.document

## Class SessionNode.ReferrerChanges

- java.lang.Object
- - org.modeshape.jcr.cache.document.SessionNode.ReferrerChanges

- Enclosing class:
    SessionNode

      protected static class SessionNode.ReferrerChanges
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SessionNode.ReferrerChanges()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStrongReferrer(Property property, NodeKey nodeKey)`
    `void` | `addWeakReferrer(Property property, NodeKey nodeKey)`
    `List<NodeKey>` | `getAddedReferrers(CachedNode.ReferenceType type)`
    `ReferrerCounts` | `getReferrerCounts(ReferrerCounts persisted)`
    `List<NodeKey>` | `getRemovedReferrers(CachedNode.ReferenceType type)`
    `String` | `getString(StringBuilder sb)`
    `boolean` | `isEmpty()`
    `boolean` | `isRemovedReferrer(NodeKey key, CachedNode.ReferenceType type)`
    `void` | `removeStrongReferrer(Property property, NodeKey nodeKey)`
    `void` | `removeWeakReferrer(Property property, NodeKey nodeKey)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionNode.ReferrerChanges

          protected SessionNode.ReferrerChanges()

  - ### Method Detail

    - #### addWeakReferrer

          public void addWeakReferrer(Property property,
                             NodeKey nodeKey)

    - #### removeWeakReferrer

          public void removeWeakReferrer(Property property,
                                NodeKey nodeKey)

    - #### addStrongReferrer

          public void addStrongReferrer(Property property,
                               NodeKey nodeKey)

    - #### removeStrongReferrer

          public void removeStrongReferrer(Property property,
                                  NodeKey nodeKey)

    - #### getAddedReferrers

          public List<NodeKey> getAddedReferrers(CachedNode.ReferenceType type)

    - #### isRemovedReferrer

          public boolean isRemovedReferrer(NodeKey key,
                                  CachedNode.ReferenceType type)

    - #### getRemovedReferrers

          public List<NodeKey> getRemovedReferrers(CachedNode.ReferenceType type)

    - #### getReferrerCounts

          public ReferrerCounts getReferrerCounts(ReferrerCounts persisted)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getString

          public String getString(StringBuilder sb)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.